Bug 1702021 - The ConversionHost#enable_queue method is looking for the wrong parameter
Summary: The ConversionHost#enable_queue method is looking for the wrong parameter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.10.2
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: GA
: 5.10.4
Assignee: Fabien Dupont
QA Contact: Yadnyawalk Tale
Red Hat CloudForms Documentation
URL: https://github.com/ManageIQ/manageiq/...
Whiteboard:
Depends On: 1695924
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-22 18:09 UTC by Satoe Imaishi
Modified: 2019-05-21 05:47 UTC (History)
3 users (show)

Fixed In Version: 5.10.4.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1695924
Environment:
Last Closed: 2019-05-21 05:46:54 UTC
Category: ---
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1247 None None None 2019-05-21 05:47:01 UTC

Comment 2 CFME Bot 2019-04-24 19:48:48 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/0b71a8e7cdd8dc0beb67f4530840989cd268c06a
commit 0b71a8e7cdd8dc0beb67f4530840989cd268c06a
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Thu Jan 31 13:54:37 2019 -0500
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Thu Jan 31 13:54:37 2019 -0500

    Merge pull request #18419 from djberg96/conversion_host_configurations2

    Simplify the ConversionHost::Configurations#enable method.

    (cherry picked from commit 8d33fa57a6f3dba5946be73c02ff23505e4ec20c)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1702021

 app/models/conversion_host/configurations.rb | 13 +-
 spec/models/conversion_host/configurations_spec.rb | 10 +-
 2 files changed, 7 insertions(+), 16 deletions(-)

Comment 3 Shveta 2019-05-03 19:14:02 UTC
resource_id and resource_type are passed separately now 

{"name": "create converison host",
 "resource_type": "ManageIQ::Providers::Redhat::InfraManager::Host",
 "resource_id": "3",
 "auth_user": "root"
}

If not , API gives error " "message": "resource_id must be specified","

Verified in 5.10.4.1.20190430152139_40a1d86

Comment 4 Shveta 2019-05-03 19:43:36 UTC
Enable queue method worked when "resource_type" and  "resource_id" was passed.

Comment 5 Shveta 2019-05-03 20:02:01 UTC
Task Name shows : 
resource id and resource_type as single param(resource)

Configuring a conversion_host: operation=enable resource=(name: env-rhv42-01.cfme2.lab.eng.rdu2.redhat.com type: ManageIQ::Providers::Redhat::InfraManager::Host id: 3)

Comment 7 errata-xmlrpc 2019-05-21 05:46:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1247


Note You need to log in before you can comment on or make changes to this bug.